﻿.emvs_addToCart_form {
  position: relative;
  z-index: 2;
  margin: 1rem 0;
}

/* ::marker {
    content: ' ';
} */

.cards {
  visibility: hidden;
}

.emvs-add-cart-button {
  width: 100%;
  padding: 10px;
  position: relative;
  font-family: inherit;
  cursor: pointer;
  line-height: normal;
}

.emvs-add-cart-button:disabled {
  cursor: not-allowed;
  opacity: 0.5;
}

.emvs-loader {
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 30px;
  height: 30px;
  border-top: 3px solid transparent !important;
  border-radius: 50%;
  margin: 0 auto;
  animation: spin 0.6s linear infinite;
}

.infinite-scroll-trigger {
  display: flex;
  justify-content: center;
  margin: 5rem 0;
  height: 100px;
}

.infinite-scroll-trigger div {
  display: none;
  width: 4rem;
  height: 4rem;
  border: 3px solid black;
  border-top-color: transparent;
  border-radius: 50%;
  animation: spin 0.6s linear infinite;
}

.em-load-more-container {
  text-align: center;
}

.em-load-more-btn {
  background: black;
  color: white;
  border: none;
  border-radius: 20px;
  font-size: 14px;
  padding: 10px 20px;
  cursor: pointer;
}

[em-sold-out] {
  filter: grayscale(100%);
  opacity: 0.3;
  pointer-events: none;
}

@keyframes spin {
  from {
    transform: translate(-50%, -50%) rotate(0deg);
  }

  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

[emsv-hide-image],
[emsv-hide] {
  display: none !important;
}

/* Custom image flip code if by default not available */

.em-image-wrapper {
  position: relative;
  display: inline-block;
}

.em-image-wrapper img {
  display: block;
  width: 100%;
  transition: opacity 0.4s ease;
}

.em-image-wrapper .emSecondary {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
}

.em-image-wrapper:hover .emSecondary {
  opacity: 1;
}

.em-image-wrapper:hover .emPrimary {
  opacity: 0;
}

/* For amarie-dev --start */

/* .product-item__image--two.emHovered {
  animation: zoom-in-zoom-out 1.2s ease;
}

@keyframes zoom-in-zoom-out {
  0% {
    scale: 130%;
  }
  100% {
    scale: 100%;
  }
} */
/* For amarie-dev --end */

.emvs-review-wrapper {
  margin: 1rem 0;
}

.emvs-star-rating {
  display: inline-flex;
  align-items: center;
  gap: 3px;
  font-size: 15px;
}

.emvs-star {
  position: relative;
  display: inline-block;
  width: 1em;
  color: #ddd; /* empty star color */
}

.emvs-star .emvs-star-fill {
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
  white-space: nowrap;
  color: #000; /* filled star color */
}

.emvs-rating-count {
  color: #161616;
  font-size: 13px;
  margin-left: 4px;
  font-weight: normal;
}
